Debian Bug report logs - #690538
grub-common: Please make submenu creation optional or at least allow users to disable it easily

version graph

Package: grub-common; Maintainer for grub-common is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-common is src:grub2.

Reported by: Jens Stomber <jens.stomber@gmx.de>

Date: Mon, 15 Oct 2012 11:06:02 UTC

Severity: wishlist

Tags: fixed-upstream, patch, upstream

Merged with 717586

Found in versions grub2/2.02~beta2-6, grub2/2.00-22, grub2/2.00-7

Forwarded to https://savannah.gnu.org/bugs/?36850

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Mon, 15 Oct 2012 11:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to abe@debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 15 Oct 2012 11:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-common: Please make submenu creation optional or at least allow users to disable it easily
Date: Mon, 15 Oct 2012 13:03:26 +0200
Package: grub-common
Version: 2.00-7
Severity: wishlist

Dear GRUB Maintainers,

before grub 2.00, the boot menu consisted of one single list with all
installed kernels. Since 2.00 all but the latest kernel are now in a
submenu which is annoying if you often switch kernels or prefer to
have an overview over all kernels at boot without pressing any key.

So please provide a configuration option in /etc/default/grub to disable
the submenu creation to allow again the previous way to list kernels in
the boot menu.

By reading through 10_linux I found no obvious non-intrusive way to
disable the submenu. So I patched /etc/default/grub, 00_header, and
10_linux to get it optionally working again as before. Once these
patches have been proven to be reliable, I'll attach them to the
bug-report.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (900, 'testing'), (600, 'stable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.5-trunk-686-pae (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-common depends on:
ii  gettext-base        0.18.1.1-9
ii  libc6               2.13-35
ii  libdevmapper1.02.1  2:1.02.74-4
ii  libfreetype6        2.4.9-1
ii  libfuse2            2.9.1-1
ii  liblzma5            5.1.1alpha+20120614-1
ii  zlib1g              1:1.2.7.dfsg-13

Versions of packages grub-common recommends:
pn  os-prober  <none>

Versions of packages grub-common suggests:
ii  console-setup  1.84
ii  desktop-base   7.0.3
pn  grub-emu       <none>
pn  multiboot-doc  <none>
pn  xorriso        <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Mon, 13 May 2013 03:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Sanders <cas@taz.net.au>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 13 May 2013 03:45:04 GMT) Full text and rfc822 format available.

Message #10 received at 690538@bugs.debian.org (full text, mbox):

From: Craig Sanders <cas@taz.net.au>
To: 690538@bugs.debian.org
Subject: RE: grub-common: Please make submenu creation optional or at least allow users to disable it easily
Date: Mon, 13 May 2013 13:32:50 +1000
[Message part 1 (text/plain, inline)]
great, grub in debian now has the same submenu brain-damage that Ubuntu
got last year.

amongst other problems, it breaks grub-set-default and grub-reboot,
because the submenu entry messes up the numerical ordering of the
menuentries.

anyway, here's a patch. allows users to choose whether 10_linux
generates submenus or not (by setting GRUB_ENABLE_SUBMENUS=true or false
in /etc/default/grub)

patch attached.

the patch as written defaults to disabling submenus. to retain current
(imo, broken) behaviour as default, change the tests from

  if [ "$GRUB_ENABLE_SUBMENUS" = "true" ]
to
  if [ "$GRUB_ENABLE_SUBMENUS" != "false" ]



i honestly don't care what the default is, as long as there's a setting
to enable/disable generation of submenus.

craig

-- 
craig sanders <cas@taz.net.au>
[10_linux.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Mon, 13 May 2013 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 13 May 2013 09:39:04 GMT) Full text and rfc822 format available.

Message #15 received at 690538@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Craig Sanders <cas@taz.net.au>, 690538@bugs.debian.org
Subject: Re: Bug#690538: grub-common: Please make submenu creation optional or at least allow users to disable it easily
Date: Mon, 13 May 2013 10:36:14 +0100
Control: forwarded -1 https://savannah.gnu.org/bugs/?36850

On Mon, May 13, 2013 at 01:32:50PM +1000, Craig Sanders wrote:
> amongst other problems, it breaks grub-set-default and grub-reboot,
> because the submenu entry messes up the numerical ordering of the
> menuentries.

Are you aware that you can set entries in submenus as the default like
this:

  https://help.ubuntu.com/community/Grub2/Submenus#Setting_a_Submenu_entry_as_the_default

It would be helpful to send the patch to the corresponding upstream bug:

  https://savannah.gnu.org/bugs/?36850

-- 
Colin Watson                                       [cjwatson@debian.org]



Set Bug forwarded-to-address to 'https://savannah.gnu.org/bugs/?36850'. Request was from Colin Watson <cjwatson@debian.org> to 690538-submit@bugs.debian.org. (Mon, 13 May 2013 09:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Sat, 25 May 2013 07:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Sanders <cas@taz.net.au>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 25 May 2013 07:18:09 GMT) Full text and rfc822 format available.

Message #22 received at 690538@bugs.debian.org (full text, mbox):

From: Craig Sanders <cas@taz.net.au>
To: 690538@bugs.debian.org
Subject: Re: Bug#690538: grub-common: Please make submenu creation optional or at least allow users to disable it easily
Date: Sat, 25 May 2013 17:15:03 +1000
[Message part 1 (text/plain, inline)]
On Mon, May 13, 2013 at 10:36:14AM +0100, Colin Watson wrote:
> Control: forwarded -1 https://savannah.gnu.org/bugs/?36850
> 
> On Mon, May 13, 2013 at 01:32:50PM +1000, Craig Sanders wrote:
> > amongst other problems, it breaks grub-set-default and grub-reboot,
> > because the submenu entry messes up the numerical ordering of the
> > menuentries.
> 
> Are you aware that you can set entries in submenus as the default like
> this:
> 
>   https://help.ubuntu.com/community/Grub2/Submenus#Setting_a_Submenu_entry_as_the_default

yeah, i knew that, but specifying the complete name of the menu option
for grub-set-default is tedious and error prone.

actually, this bug annoys me less now that i've modified by
grub-list-kernels.pl script to deal with submenus, so i can use the "1>0"
style numbering easily.

e.g.

# grub-list-kernels.pl
   0	Debian GNU/Linux	
   1	Advanced options for Debian GNU/Linux	
 1>0	Debian GNU/Linux, with Linux 3.8-1-amd64	
 1>1	Debian GNU/Linux, with Linux 3.8-1-amd64 (recovery mode)	
 1>2	Debian GNU/Linux, with Linux 3.7-trunk-amd64	
 1>3	Debian GNU/Linux, with Linux 3.7-trunk-amd64 (recovery mode)	
 1>4	Debian GNU/Linux, with Linux 3.2.0-4-amd64	
 1>5	Debian GNU/Linux, with Linux 3.2.0-4-amd64 (recovery mode)	
   2	Network boot (iPXE)	
   3	Bootable floppy: LSI	
   4	Bootable floppy: freedos-bare	

  Default: 0  "Debian GNU/Linux"

I'll attach a copy of the script to this message - feel free to add it
to the package if you like.


> It would be helpful to send the patch to the corresponding upstream bug:
> 
>   https://savannah.gnu.org/bugs/?36850

OK, I'll do that. need to create a login on savannah first.

FYI, the patch I sent is not quite complete - also need to
add GRUB_ENABLE_SUBMENUS to the list of exported vars in
/usr/sbin/grub-mkconfig.


i probably should submit my grub-list-kernels.pl script as a contrib
item there, too.


craig

-- 
craig sanders <cas@taz.net.au>
[grub-list-kernels.pl (text/x-perl, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Thu, 20 Jun 2013 19:51:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 20 Jun 2013 19:51:18 GMT) Full text and rfc822 format available.

Message #27 received at 690538@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@debian.org>
To: 690538@bugs.debian.org
Subject: grub-common: Please make submenu creation optional or at least allow users to disable it
Date: Thu, 20 Jun 2013 19:45:37 +0000 (UTC)
+1

Please get rid of “submenu 'Advanced options for Debian GNU/Linux'”
as it hides all my boot options and makes the top-level menu almost
empty.

bye,
//mirabilos
-- 
16:47⎜«mika:#grml» .oO(mira ist einfach gut....)      23:22⎜«mikap:#grml»
mirabilos: und dein bootloader ist geil :)    23:29⎜«mikap:#grml» und ich
finds saugeil dass ich ein bsd zum booten mit grml hab, das muss ich dann
gleich mal auf usb-stick installieren	-- Michael Prokop über MirOS bsd4grml



Merged 690538 717586 Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 22 Jul 2013 18:21:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Sat, 31 Aug 2013 15:42:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to eric fischer <spambemyguest@googlemail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 31 Aug 2013 15:42:20 GMT) Full text and rfc822 format available.

Message #34 received at 690538@bugs.debian.org (full text, mbox):

From: eric fischer <spambemyguest@googlemail.com>
To: 690538@bugs.debian.org
Cc: abe@debian.org, cas@taz.net.au, cjwatson@debian.org, tg@debian.org
Subject: RE: grub-common: Please make submenu creation optional or at least allow users to disable it easily
Date: Sat, 31 Aug 2013 17:40:23 +0200
[Message part 1 (text/plain, inline)]
Hey folks,

whats wrong? This BUG exists for nearly 11 months now, the fix isn't
brain crunching at all and done with 6 lines of shell scripting.

Might any of the maintainers take over that task before the bug sees
it's first birthday maybe?

This "feature" is really annoying, especially having the grub GFXTERM
at a high resolution where it takes 5 seconds to draw the menu itself.

Also how can you call submenus a feature if
	a)	the change was introduced silently (yeah i know the changelog
		talks about it)…
	b)	there is no way to control the behaviour, since a feature
		should be something the user might or might not use?

The upstream BUG lists 101 votes and i guess there are more people fed
up with this submenu brainfuck and it should be worth to spent some
minutes getting rid of it instead of waiting for someone else to fix
it which did not happen in an appropriate time span!

So lets see… we got all the things needed already…

mkdir build && cd build
apt-get source grub2 # takes a second
cp -da grub2-2.00{,-orig}
$EDITOR grub2-2.00/debian/default/grub
$EDITOR grub2-2.00/util/grub.d/10_linux.in
$EDITOR grub2-2.00/util/grub-mkconfig.in
# wow fixed up 6 lines of code and a line of comment!
diff -rup grub2-2.00-orig grub2-2.00 \
    > grub2_disable_submenu.patch
cd grub2-2.00
apt-get build-dep grub2 # leaves time for brewing coffee
dch # oh we need to type numbers & letters here
dpkg-source --commit # uh typing + copy & paste needed again
dpkg-buildpackage # fetch the coffe and enjoy
cd ..
dpkg -i grub2_2.00-18+1_amd64.deb \
	grub2-common_2.00-18+1_amd64.deb \
	grub-pc_2.00-18+1_amd64.deb \
	grub-pc-bin_2.00-18+1_amd64.deb \
	grub-common_2.00-18+1_amd64.deb

That ain't been to hard and i really, really enjoyed my cup of coffe!

[grub2_disable_submenu.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Sat, 31 Aug 2013 15:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Sat, 31 Aug 2013 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 31 Aug 2013 16:21:05 GMT) Full text and rfc822 format available.

Message #41 received at 690538@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: eric fischer <spambemyguest@googlemail.com>
Cc: 690538@bugs.debian.org, abe@debian.org, cas@taz.net.au, tg@debian.org
Subject: Re: grub-common: Please make submenu creation optional or at least allow users to disable it easily
Date: Sat, 31 Aug 2013 17:16:23 +0100
On Sat, Aug 31, 2013 at 05:40:23PM +0200, eric fischer wrote:
> whats wrong? This BUG exists for nearly 11 months now, the fix isn't
> brain crunching at all and done with 6 lines of shell scripting.
> 
> Might any of the maintainers take over that task before the bug sees
> it's first birthday maybe?

Thanks for your patch.  While it looks reasonable at a quick glance, I
don't think it's a good idea to add new configuration variable names in
a Debian patch (consider what would happen if it was later introduced
upstream with a different name), but feel free to send this patch
upstream (grub-devel@gnu.org) for discussion there.

You might find you get a better reception if you keep the swearing and
sarcasm to a minimum when sending the patch upstream, though.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Sat, 31 Aug 2013 16:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 31 Aug 2013 16:27:07 GMT) Full text and rfc822 format available.

Message #46 received at 690538@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 690538@bugs.debian.org
Subject: Re: grub-common: Please make submenu creation optional or at least allow users to disable it easily
Date: Sat, 31 Aug 2013 18:22:51 +0200
Control: tag -1 + upstream

Hi Colin,

Colin Watson wrote:
> On Sat, Aug 31, 2013 at 05:40:23PM +0200, eric fischer wrote:
> > whats wrong? This BUG exists for nearly 11 months now, the fix isn't
> > brain crunching at all and done with 6 lines of shell scripting.
> > 
> > Might any of the maintainers take over that task before the bug sees
> > it's first birthday maybe?
> 
> Thanks for your patch.  While it looks reasonable at a quick glance, I
> don't think it's a good idea to add new configuration variable names in
> a Debian patch (consider what would happen if it was later introduced
> upstream with a different name), but feel free to send this patch
> upstream (grub-devel@gnu.org) for discussion there.

Thanks for the comments. Tagging accordingly.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Added tag(s) upstream. Request was from Axel Beckert <abe@debian.org> to 690538-submit@bugs.debian.org. (Sat, 31 Aug 2013 16:27:07 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 04 Nov 2013 18:33:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 09 Dec 2013 07:09:07 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Sun, 15 Dec 2013 16:03:37 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Sun, 15 Dec 2013 16:03:37 GMT) Full text and rfc822 format available.

Message #57 received at 690538-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 690538-close@bugs.debian.org
Subject: Bug#690538: fixed in grub2 2.00+20131208-1
Date: Sun, 15 Dec 2013 16:00:12 +0000
Source: grub2
Source-Version: 2.00+20131208-1

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690538@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 09 Dec 2013 00:21:45 +0000
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub2-common grub-emu grub-emu-dbg grub-pc-bin grub-pc-dbg grub-pc grub-rescue-pc grub-coreboot-bin grub-coreboot-dbg grub-coreboot grub-efi-ia32-bin grub-efi-ia32-dbg grub-efi-ia32 grub-efi-amd64-bin grub-efi-amd64-dbg grub-efi-amd64 grub-efi-ia64-bin grub-efi-ia64-dbg grub-efi-ia64 grub-efi-arm-bin grub-efi-arm-dbg grub-efi-arm grub-efi-arm64-bin grub-efi-arm64-dbg grub-efi-arm64 grub-ieee1275-bin grub-ieee1275-dbg grub-ieee1275 grub-firmware-qemu grub-uboot-bin grub-uboot-dbg grub-uboot grub-xen-bin grub-xen-dbg grub-xen grub-yeeloong-bin grub-yeeloong-dbg grub-yeeloong grub-theme-starfield grub-mount-udeb
Architecture: source i386
Version: 2.00+20131208-1
Distribution: experimental
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-coreboot-bin - GRand Unified Bootloader, version 2 (Coreboot binaries)
 grub-coreboot-dbg - GRand Unified Bootloader, version 2 (Coreboot debug files)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-amd64-bin - GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
 grub-efi-amd64-dbg - GRand Unified Bootloader, version 2 (EFI-AMD64 debug files)
 grub-efi-arm - GRand Unified Bootloader, version 2 (ARM UEFI version)
 grub-efi-arm-bin - GRand Unified Bootloader, version 2 (ARM UEFI binaries)
 grub-efi-arm-dbg - GRand Unified Bootloader, version 2 (ARM UEFI debug files)
 grub-efi-arm64 - GRand Unified Bootloader, version 2 (ARM64 UEFI version)
 grub-efi-arm64-bin - GRand Unified Bootloader, version 2 (ARM64 UEFI binaries)
 grub-efi-arm64-dbg - GRand Unified Bootloader, version 2 (ARM64 UEFI debug files)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-efi-ia32-bin - GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
 grub-efi-ia32-dbg - GRand Unified Bootloader, version 2 (EFI-IA32 debug files)
 grub-efi-ia64 - GRand Unified Bootloader, version 2 (IA64 version)
 grub-efi-ia64-bin - GRand Unified Bootloader, version 2 (IA64 binaries)
 grub-efi-ia64-dbg - GRand Unified Bootloader, version 2 (IA64 debug files)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-emu-dbg - GRand Unified Bootloader, version 2 (emulated debug files)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-ieee1275-bin - GRand Unified Bootloader, version 2 (Open Firmware binaries)
 grub-ieee1275-dbg - GRand Unified Bootloader, version 2 (Open Firmware debug files)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-mount-udeb - export GRUB filesystems using FUSE (udeb)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-pc-bin - GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 grub-pc-dbg - GRand Unified Bootloader, version 2 (PC/BIOS debug files)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-theme-starfield - GRand Unified Bootloader, version 2 (starfield theme)
 grub-uboot - GRand Unified Bootloader, version 2 (ARM U-Boot version)
 grub-uboot-bin - GRand Unified Bootloader, version 2 (ARM U-Boot binaries)
 grub-uboot-dbg - GRand Unified Bootloader, version 2 (ARM U-Boot debug files)
 grub-xen   - GRand Unified Bootloader, version 2 (Xen version)
 grub-xen-bin - GRand Unified Bootloader, version 2 (Xen binaries)
 grub-xen-dbg - GRand Unified Bootloader, version 2 (Xen debug files)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub-yeeloong-bin - GRand Unified Bootloader, version 2 (Yeeloong binaries)
 grub-yeeloong-dbg - GRand Unified Bootloader, version 2 (Yeeloong debug files)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
 grub2-common - GRand Unified Bootloader (common files for version 2)
Closes: 650724 666427 683068 688799 690538 696465 700197 707613 707695 710076 726265
Changes: 
 grub2 (2.00+20131208-1) experimental; urgency=low
 .
   * New upstream snapshot.
     - Skip issuing cursor on/off sequences on Macs (closes: #683068).
     - Move grub-mknetdir to /usr/bin (closes: #688799).
     - Apply program name transformations at build-time rather than at
       run-time (closes: #696465).
     - Add info documentation for grub-mount (closes: #666427).
     - Clean up dangling references to grub-setup (LP: #1082045).
     - Avoid installing to sectors matching the signature of an Acer
       registration utility with several sightings in the wild (LP: #987022).
     - Document the need for GRUB_DEFAULT=saved in grub-set-default(8)
       (LP: #1102925).
     - Fix missing PVs if they don't contain an "interesting" LV (probably
       closes: #650724, #707613).
     - Reimplement grub-reboot to not depend on saved_entry (closes: #707695,
       LP: #704406).
     - Fix Ctrl-u handling to copy the killed characters to the kill buffer
       as UCS4 stored as grub_uint32_t rather than as 8-bit characters stored
       as char (closes: #710076).
     - Fix inconsistent use of GRUB_CRYPTODISK_ENABLE and
       GRUB_ENABLE_CRYPTODISK (LP: #1232237).
     - Support GRUB_DISABLE_SUBMENU configuration, and document submenu usage
       in grub-reboot(8) (closes: #690538).
     - Don't decompress initrd when booting with Xen (closes: #700197).
     - Document how to delete the whole environment block (closes: #726265).
     - Revamp hidden timeout handling by adding a new timeout_style
       environment variable and a corresponding GRUB_TIMEOUT_STYLE
       configuration key for grub-mkconfig.  This controls hidden-timeout
       handling more simply than the previous arrangements, and pressing any
       hotkeys associated with menu entries during the hidden timeout will
       now boot the corresponding menu entry immediately (LP: #1178618).  As
       part of merging this, radically simplify the mess that
       quick_boot.patch had made of /etc/grub.d/30_os-prober; if it finds
       other OSes it can now just set timeout_style=menu and make sure the
       timeout is non-zero.
     - On Linux, read partition start offsets from sysfs if possible
       (LP: #1237519).
     - New ports to arm-uboot, arm-efi, arm64-efi, i386-xen, and x86_64-xen.
   * Add grub-uboot*, grub-efi-arm*, and grub-xen* binary packages.
   * Ignore functional test failures for now as they are broken.
   * Move working directories around (build/<package> -> obj/<package>,
     build/stamps -> debian/stamps) so that "debian/rules build" still works
     after working directories have been created.
   * Drop "grub-mkrescue --diet" option; never merged upstream and only
     matters for floppies.  Please let me know if you were using this.
     Explicitly use -no-pad to build grub-rescue-floppy.img, which has an
     equivalent effect on size.
   * Break lupin-support (<< 0.55) due to the rewrite of grub-install in C.
   * Remove build-dependency on autogen, no longer needed.
   * Compress GRUB files on grub-rescue-floppy.img using xz.
   * Build-depend on wamerican, newly required by the test suite.
   * Run tests with LC_CTYPE=C.UTF-8, so that grub-fs-tester can handle UTF-8
     data correctly.
   * Update debian/legacy/update-grub to the version from grub 0.97-67.
   * Silence error message on initial installation when /etc/default/grub
     does not yet exist.
   * Add GRUB_RECOVERY_TITLE option, to allow the controversial "recovery
     mode" text to be customised (LP: #1240360).
Checksums-Sha1: 
 094251db5ee627cda75f269839ff493a6fc0df79 5066 grub2_2.00+20131208-1.dsc
 0a6acf49de1266a91ee2bb54004d082cb9acf824 9636788 grub2_2.00+20131208.orig.tar.gz
 077df71b7a4037dc0e7e6dd654aedf19441ad8a8 1321346 grub2_2.00+20131208-1.debian.tar.gz
 d4df3164d666ce8d74dbf29a0a25dfcb5cc158f2 2496 grub2_2.00+20131208-1_i386.deb
 d468a58bcccc4c828239586f0b2c4b9367632a3a 2488 grub-linuxbios_2.00+20131208-1_i386.deb
 700ed49bab56a77f52055a798535ce544f6b4713 2506 grub-efi_2.00+20131208-1_i386.deb
 0eebb89141de74f14946e526f491fda9fbc936b6 2453950 grub-common_2.00+20131208-1_i386.deb
 a314f578fcca1b829847e81cef69c76c9cfc442b 473384 grub2-common_2.00+20131208-1_i386.deb
 518eba49378862795995ef3012b8f70224d9ea14 2988162 grub-emu_2.00+20131208-1_i386.deb
 ff918297b47db0a6b8f1441bfe33344a5be1b167 2113458 grub-emu-dbg_2.00+20131208-1_i386.deb
 b478a59de5656c42ec15f768a41cf8ae61228936 870500 grub-pc-bin_2.00+20131208-1_i386.deb
 e837f570828c75d310927d61e1a183358f530ab4 2720294 grub-pc-dbg_2.00+20131208-1_i386.deb
 241a5cf7b3cb27e8cca377726cbfde14230c6b92 172150 grub-pc_2.00+20131208-1_i386.deb
 df59e0520ec45ca10799329b6eac21428a22eb4e 2666924 grub-rescue-pc_2.00+20131208-1_i386.deb
 979687c3694d794a39a390cd649e7d30e1946173 579516 grub-coreboot-bin_2.00+20131208-1_i386.deb
 6955f8d43ffc20db1a5240c329de893bc2dfc4d3 2465588 grub-coreboot-dbg_2.00+20131208-1_i386.deb
 508bba0ab2c8f508da87408c4dc02b94570eb141 44466 grub-coreboot_2.00+20131208-1_i386.deb
 fe075c3b758c3a41166a1937ca89cb916039ccf1 602420 grub-efi-ia32-bin_2.00+20131208-1_i386.deb
 b25ecdcc1138f7da56a7643abbd0d5d60ca437d5 2642770 grub-efi-ia32-dbg_2.00+20131208-1_i386.deb
 e2685f7a1822d5671662ac5357309857a025b7a9 44510 grub-efi-ia32_2.00+20131208-1_i386.deb
 27d806ac43e67de835fc02f59c5ff39a8a7f2136 635202 grub-efi-amd64-bin_2.00+20131208-1_i386.deb
 9561390fa961902046f7f6fb442dab3c788102a0 2807708 grub-efi-amd64-dbg_2.00+20131208-1_i386.deb
 da23614237d94e9e03dd77666f5b09a777940532 44498 grub-efi-amd64_2.00+20131208-1_i386.deb
 63dfcac2550d86e2df2b60752b2f422e53fad31b 577064 grub-ieee1275-bin_2.00+20131208-1_i386.deb
 536dfac0b444f07a0b21a070b77e0d9fc1f10157 2495636 grub-ieee1275-dbg_2.00+20131208-1_i386.deb
 b68807895dae115458ab03da0d86e61c3a2bc34d 44464 grub-ieee1275_2.00+20131208-1_i386.deb
 bdc38611f44318a51e8f68e0a8478338a806737f 1051326 grub-firmware-qemu_2.00+20131208-1_i386.deb
 5f5d0147591ff9fba3e102ad0ae22e7bf4565fd4 887652 grub-xen-bin_2.00+20131208-1_i386.deb
 5d728d9c5ed3ff97c8450c777426dbd9127d728b 4048304 grub-xen-dbg_2.00+20131208-1_i386.deb
 8485ef1513ce3fcdb865f8108763702e4c4aa6a0 44444 grub-xen_2.00+20131208-1_i386.deb
 8af378d8b365d555f0738a0ada6962f6cb163762 2148670 grub-theme-starfield_2.00+20131208-1_i386.deb
 d898da62beba67ad3a3127a9e85927c4944fb971 336858 grub-mount-udeb_2.00+20131208-1_i386.udeb
Checksums-Sha256: 
 bf61974d8b2658cf1cae411e7fe67671994e46bef339adedd50c9d2e7ec70a01 5066 grub2_2.00+20131208-1.dsc
 03c973bf1219d0b4a92f671972e5da06d02726d6cab19e913302212cf7dd277e 9636788 grub2_2.00+20131208.orig.tar.gz
 919e9adf408eedead1d0d122e8ab24130d997a3a92dc9ef28b8598aa946667f2 1321346 grub2_2.00+20131208-1.debian.tar.gz
 346b91701591bd34e184f2f7f03df55655d1b5c3192c3ebe2fa2f78a6343a7f8 2496 grub2_2.00+20131208-1_i386.deb
 82ea05eba276012ace254af49c6e9b5bbf91e41aa9df9ae9cc012a213fa29526 2488 grub-linuxbios_2.00+20131208-1_i386.deb
 1442c3fd49b976d0b02f65ba0e7e4adb953bb0854db44e69d43c3f98e7fd5b9f 2506 grub-efi_2.00+20131208-1_i386.deb
 fe18fec4fd7af7e4e82bcd8cf6ecdb134f07076c51f1f56298852d08952dbbfd 2453950 grub-common_2.00+20131208-1_i386.deb
 fcb92f957dcc52f196b5c90de4e1e48b8e7796f5d55b4c9fa15ff9574bd50e67 473384 grub2-common_2.00+20131208-1_i386.deb
 b969592c8e237593113c9f6e8938543bb0d0bee0eb87f8eda49a9081b7e0f239 2988162 grub-emu_2.00+20131208-1_i386.deb
 1440269c3cca90908024a19532f8bb6bb37d0d304ef039ce1b1131bb435551d7 2113458 grub-emu-dbg_2.00+20131208-1_i386.deb
 2e4704e66bacb1a1862695cca1aa7939ca568db3c87b5136cbac085491e3233c 870500 grub-pc-bin_2.00+20131208-1_i386.deb
 108bdafd178663ad8467989a6803b7dc8849569bbe0ab95da9687b8169e482cd 2720294 grub-pc-dbg_2.00+20131208-1_i386.deb
 3d7ada0c3693876647c811477baa9662ce4462027558c13f16a679e0ce01b783 172150 grub-pc_2.00+20131208-1_i386.deb
 396510606803e5745c185c9d8f477be1660b26f6a7975ac9a8f89168af75d8e7 2666924 grub-rescue-pc_2.00+20131208-1_i386.deb
 e3fd86984af99989e99e1c8e53b6e36a1f0f32b79c1fc600819ef939fa583834 579516 grub-coreboot-bin_2.00+20131208-1_i386.deb
 247e4c019a5f1be3cab179ab695b61365f9d5cef349702302a3a53980357a1a4 2465588 grub-coreboot-dbg_2.00+20131208-1_i386.deb
 9bd8cb0311a60a79edf2c956c3163c902f89275d749aef084aeb3fba8148eea9 44466 grub-coreboot_2.00+20131208-1_i386.deb
 25619bf26cb1718de7a01cd360afe1ffd3d4c3613cb87d47e2b8799a5dd4c4a3 602420 grub-efi-ia32-bin_2.00+20131208-1_i386.deb
 73905cf1979466895658f6675e61d220902100bb2d176c7f99eb15e615084bd3 2642770 grub-efi-ia32-dbg_2.00+20131208-1_i386.deb
 617209a83b48aba1076eb4de3aac8f19b9358e165b234ce04c4a31535799b409 44510 grub-efi-ia32_2.00+20131208-1_i386.deb
 330474a5435fc0fcf66a3b3abc81c64ee37924bd9e268b0fcb920835480f9d9a 635202 grub-efi-amd64-bin_2.00+20131208-1_i386.deb
 46ef8f17529a32a3f2d2e20d5288b9bcc72fae09b2fde2873563aed222f84149 2807708 grub-efi-amd64-dbg_2.00+20131208-1_i386.deb
 3c721da4c9b180b8aec3bc4938e14dbc00136f3361c763d5c1ead285e15babfe 44498 grub-efi-amd64_2.00+20131208-1_i386.deb
 ad04dc782bdd321a39db7a10440b188e50849b8bf2f95e05da3c63122498f8ef 577064 grub-ieee1275-bin_2.00+20131208-1_i386.deb
 ba4c84b93f1e385adef2894678558d6342e2a40bccd98156ac8bb4a71eefe52a 2495636 grub-ieee1275-dbg_2.00+20131208-1_i386.deb
 a5949095aac4637756dbe36a9fb5c696b58b4f589d6e65be1b7fec6b81516ee2 44464 grub-ieee1275_2.00+20131208-1_i386.deb
 58f14e5f5338334607a2fc5537e4551755e9274aa61c772394fcea75f01a22a9 1051326 grub-firmware-qemu_2.00+20131208-1_i386.deb
 13d03af5d83034ba13702b51a495cd0dd06ce2fda7e10e8e6743a86acf919f47 887652 grub-xen-bin_2.00+20131208-1_i386.deb
 dc35e8aefb1e16ebf61c6129b6a68a2f213cf1e1a0770cc695d524452e29567b 4048304 grub-xen-dbg_2.00+20131208-1_i386.deb
 1736d93a985fb30aa03af78b75353c4a1b91ac11c223b235aba6a2fc920c94bc 44444 grub-xen_2.00+20131208-1_i386.deb
 f27763f1a84d7f03d268a597d811191be07b4c994380dedce6d5f34628806e50 2148670 grub-theme-starfield_2.00+20131208-1_i386.deb
 d317a295c08fa76fe0f0604c66cc54a1abde5da5aa588838d0682330a08c0bf6 336858 grub-mount-udeb_2.00+20131208-1_i386.udeb
Files: 
 67798fc1f9db4073821bda83583b6dba 5066 admin extra grub2_2.00+20131208-1.dsc
 e9c43d61212ebb5a6e801275415d098e 9636788 admin extra grub2_2.00+20131208.orig.tar.gz
 2960bb74f80493912ba592a74cd3dabe 1321346 admin extra grub2_2.00+20131208-1.debian.tar.gz
 f91c88fa0b3e303173b534c47a106a62 2496 oldlibs extra grub2_2.00+20131208-1_i386.deb
 eaf6b9dd97e79e72e5b4f566e4f733fd 2488 oldlibs extra grub-linuxbios_2.00+20131208-1_i386.deb
 86ad4c52d03c1d4016ac652c84bb1acc 2506 oldlibs extra grub-efi_2.00+20131208-1_i386.deb
 488eb5a1932d219be796115565517249 2453950 admin optional grub-common_2.00+20131208-1_i386.deb
 2b0014bdd6a9584f62897aac3585bc1b 473384 admin optional grub2-common_2.00+20131208-1_i386.deb
 ea18e9e551c0869caf2d48e73fd1e411 2988162 admin extra grub-emu_2.00+20131208-1_i386.deb
 37d02b55bc9ad0821b33e540823d3133 2113458 debug extra grub-emu-dbg_2.00+20131208-1_i386.deb
 951661994c010882f976216c85f720da 870500 admin optional grub-pc-bin_2.00+20131208-1_i386.deb
 2be222d4eb49a439cd18997e78bc6798 2720294 debug extra grub-pc-dbg_2.00+20131208-1_i386.deb
 d5ada16ac707b4087e1a78fd7ad3c4d5 172150 admin optional grub-pc_2.00+20131208-1_i386.deb
 fc862001f7c076a8a97e28f71506fb53 2666924 admin extra grub-rescue-pc_2.00+20131208-1_i386.deb
 0ed82f7b8451f2be7ea40936087a2858 579516 admin extra grub-coreboot-bin_2.00+20131208-1_i386.deb
 72ada2f86179965aac500182ef725988 2465588 debug extra grub-coreboot-dbg_2.00+20131208-1_i386.deb
 fc1fc7191709688f162ba5f9cc49cd66 44466 admin extra grub-coreboot_2.00+20131208-1_i386.deb
 13691e3a8fbe329a9f154d7b3d7ef982 602420 admin extra grub-efi-ia32-bin_2.00+20131208-1_i386.deb
 fcd0f43ca64b52faebbc0bb5c4d12c3d 2642770 debug extra grub-efi-ia32-dbg_2.00+20131208-1_i386.deb
 a3d0ab11a5a17ee62279a116ac1f64b0 44510 admin extra grub-efi-ia32_2.00+20131208-1_i386.deb
 33e1047953f6e4b62a93f9061ae2b9ae 635202 admin extra grub-efi-amd64-bin_2.00+20131208-1_i386.deb
 07ed0b2560f271cb22392935b2c4b2e2 2807708 debug extra grub-efi-amd64-dbg_2.00+20131208-1_i386.deb
 94612d9909011b1ae44630bda332a4cd 44498 admin extra grub-efi-amd64_2.00+20131208-1_i386.deb
 828b377006628cbbd498bfd9e6424646 577064 admin extra grub-ieee1275-bin_2.00+20131208-1_i386.deb
 bae1961003ea4bca019abc5f19028211 2495636 debug extra grub-ieee1275-dbg_2.00+20131208-1_i386.deb
 a815625f4d5877296be3a64f932f94e3 44464 admin extra grub-ieee1275_2.00+20131208-1_i386.deb
 192986bff0702970e2ad962663bb7382 1051326 admin extra grub-firmware-qemu_2.00+20131208-1_i386.deb
 38596a8e7d9ebaafe652a6fe5a801dee 887652 admin extra grub-xen-bin_2.00+20131208-1_i386.deb
 e26d8fd90ed9df7ddb165291b227341d 4048304 debug extra grub-xen-dbg_2.00+20131208-1_i386.deb
 2f9c7382783f125880893c5e4ce270fe 44444 admin extra grub-xen_2.00+20131208-1_i386.deb
 5bac37e6fbccb647b786cf976b128a94 2148670 admin extra grub-theme-starfield_2.00+20131208-1_i386.deb
 452430c6e578965ae2c452c49cb7c35e 336858 debian-installer extra grub-mount-udeb_2.00+20131208-1_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBUqUYDjk1h9l9hlALAQgrqw/+O08bCkbiN1AGyTTnCA0zGmO0VQz+1vPZ
0hMMJ/Hw2jMHvqzxBaCuR1lqmchkbAsCU1D59qiEAhyZcDNZ/xh/c4h4uUgUYnWS
fJeZ52DoTXFW033AwWFHj29f0/UVVpr1UYPfhlv8kVMaPvHK67JtNvy38ZUyqSVd
6uR1akwpQ28BSuXYpv32nvI9XnJZ/rWOGB8P0b3ohMkpUDVT846Tz5xTCeaxos8q
tFKr/hQ1pU79v+zo7R8ZDPy1pLo+2mQxkYbvzDE6r+Ebtvhc40bVhctZN4sWeMw8
1j0wwKXjH0Zd9NPHRJ+BUyumXRpUPcfDPLqAoH7fW1DprYjuKOTo2tHU65KJrzqX
Un2Ob+UpL3cPuW9V5q435enUZTF7Q/JW2V7pAc39zG81iyO6MuARRfEO0D7gor/L
XMdZN8o53WK/sPATjhBE6Kln2/rOSeoUMStO73NQrr6d2qK/+WOkbMEbMSwt8Oxt
ipp7qt/98vJkVFp4FYqWNzaVa60I34TZC6U7tEvti+ALyaRQy80G2wGB+guKLsR5
SkeCN6cqZzb5KSKWMopTx3ycexApf2EofJjzIRXxQCU0AOmufcK0bZqb1RmD3Tim
pBmkOMAkl56eU9c/+9INB9nJ46/y4YRE7r5IaJvC4eR4fOFGthjH3tTJwlzQONo+
acTfdSqsW78=
=i4Ge
-----END PGP SIGNATURE-----




Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Sun, 15 Dec 2013 16:03:38 GMT) Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. (Sun, 15 Dec 2013 16:03:38 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Thu, 16 Jan 2014 01:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maurizio Avogadro <mavoga@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 16 Jan 2014 01:27:05 GMT) Full text and rfc822 format available.

Message #66 received at 690538@bugs.debian.org (full text, mbox):

From: Maurizio Avogadro <mavoga@gmail.com>
To: 690538@bugs.debian.org
Subject: Isn't the submenu concept itself clashing with GRUB_DEFAULT settings != 0?
Date: Thu, 16 Jan 2014 02:25:14 +0100
[Message part 1 (text/plain, inline)]
Package: grub-common
Version: 2.00-22


I didn't read this bug report before trying to understand the issue; I
used to keep GRUB_DEFAULT=saved and the introduction of the submenu
catched me unprepared. Going to give my 2 cents by telling my thoughts.

I started to think that the creation of a submenu should be avoided in
any case when GRUB_DEFAULT is not set to 0: at next boot, if the default
entry is in the submenu, grub will show the submenu as selected without
showing what's going to boot, which doesn't make any sense IMO.

The attached patch, which applies to v2.00-22, tried to deal with this
issue by simply preventing first entry and submenu generation in such
circumstances.

Thanks


Maurizio
[submenu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Thu, 16 Jan 2014 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 16 Jan 2014 10:09:04 GMT) Full text and rfc822 format available.

Message #71 received at 690538@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Maurizio Avogadro <mavoga@gmail.com>, 690538@bugs.debian.org
Subject: Re: Bug#690538: Isn't the submenu concept itself clashing with GRUB_DEFAULT settings != 0?
Date: Thu, 16 Jan 2014 10:05:14 +0000
On Thu, Jan 16, 2014 at 02:25:14AM +0100, Maurizio Avogadro wrote:
> I didn't read this bug report before trying to understand the issue; I
> used to keep GRUB_DEFAULT=saved and the introduction of the submenu
> catched me unprepared. Going to give my 2 cents by telling my thoughts.
> 
> I started to think that the creation of a submenu should be avoided in
> any case when GRUB_DEFAULT is not set to 0: at next boot, if the default
> entry is in the submenu, grub will show the submenu as selected without
> showing what's going to boot, which doesn't make any sense IMO.

I'm concerned that this will make it harder for people to look at the
menu structure and work out what they need to set GRUB_DEFAULT to,
because the act of setting GRUB_DEFAULT will change the behaviour.  This
seems unnecessarily confusing and undesirable.

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Sun, 16 Feb 2014 16:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Stomber <jens.stomber@gmx.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 16 Feb 2014 16:15:09 GMT) Full text and rfc822 format available.

Message #76 received at 690538@bugs.debian.org (full text, mbox):

From: Jens Stomber <jens.stomber@gmx.de>
To: 690538@bugs.debian.org
Subject: [grub-common] request reopen, neither GRUB_DISABLE_SUBMENU=true nor GRUB_ENABLE_SUBMENUS=false works
Date: Sun, 16 Feb 2014 17:13:20 +0100
Package: grub-common
Version: 2.02~beta2-6
Control: reopen 690538 !

--- Please enter the report below this line. ---
Hi,

after upgrading to version 2.02~beta2-6 I have tried both options in 
/etc/default/grub:

GRUB_DISABLE_SUBMENU=true                                                                                                                      
GRUB_ENABLE_SUBMENUS=false 

After each change of the setup I did grub-install /dev/sda and update-grub.

But the submenus are still in place :-(


I think the patch pertains to GRUB_ENABLE_SUBMENUS but 
GRUB_DISABLE_SUBMENU is defined in /usr/sbin/grub-mkconfig.


regards
Jens


--- System information. ---
Architecture: amd64
Kernel:       Linux 3.12-11.dmz.1-liquorix-amd64

Debian Release: jessie/sid
  990 testing         security.debian.org 
  990 testing         ftp.de.debian.org 
  980 testing         debian.ids-services.de 
  500 unstable        ftp.de.debian.org 
  490 unstable        debian.ids-services.de 
  480 unstable        liquorix.net 
  400 unstable        dl.dropboxusercontent.com 
  200 experimental    ftp.de.debian.org 
  190 experimental    debian.ids-services.de 

--- Package information. ---
Depends                               (Version) | Installed
===============================================-+-
=========================
libc6                                  (>= 2.3) | 2.17-97
libdevmapper1.02.1               (>= 2:1.02.36) | 2:1.02.83-1
libfreetype6                         (>= 2.2.1) | 2.5.2-1
libfuse2                             (>= 2.8.1) | 2.9.2-4
liblzma5               (>= 5.1.1alpha+20120614) | 5.1.1alpha+20120614-2
libpng12-0                        (>= 1.2.13-4) | 1.2.50-1
zlib1g                             (>= 1:1.1.4) | 1:1.2.8.dfsg-1
gettext-base                                    | 0.18.3.2-1


Recommends      (Version) | Installed
=========================-+-===========
os-prober       (>= 1.33) | 1.63


Suggests                (Version) | Installed
=================================-+-
================
multiboot-doc                     | 
grub-emu                          | 
xorriso           (>= 0.5.6.pl00) | 
desktop-base           (>= 4.0.6) | 7.0.3
console-setup                     | 1.102




-8<---8<---8<---8<---8<---8<---8<---8<---8<--
Please attach the file: 
  /tmp/reportbug-ng-grub-common-d2ijAd.txt 
to the mail. I'd do it myself if the output wasn't too long to handle.

  Thank you!
->8--->8--->8--->8--->8--->8--->8--->8--->8--



Bug reopened Request was from Jens Stomber <jens.stomber@gmx.de> to 690538-submit@bugs.debian.org. (Sun, 16 Feb 2014 16:15:09 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Jens Stomber <jens.stomber@gmx.de>' from 'Axel Beckert <abe@debian.org>' Request was from Jens Stomber <jens.stomber@gmx.de> to 690538-submit@bugs.debian.org. (Sun, 16 Feb 2014 16:15:11 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions grub2/2.00+20131208-1. Request was from Jens Stomber <jens.stomber@gmx.de> to 690538-submit@bugs.debian.org. (Sun, 16 Feb 2014 16:15:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Sun, 16 Feb 2014 17:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Stomber <jens.stomber@gmx.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 16 Feb 2014 17:06:05 GMT) Full text and rfc822 format available.

Message #87 received at 690538@bugs.debian.org (full text, mbox):

From: Jens Stomber <jens.stomber@gmx.de>
To: 690538@bugs.debian.org
Subject: [grub-common] equest reopen, neither GRUB_DISABLE_SUBMENU=true nor GRUB_ENABLE_SUBMENUS=false works
Date: Sun, 16 Feb 2014 18:03:50 +0100
[Message part 1 (text/plain, inline)]
Package: grub-common
Version: 2.02~beta2-6

--- Please enter the report below this line. ---
appendix: please find the corresponding config files attached

--- System information. ---
Architecture: amd64
Kernel:       Linux 3.12-11.dmz.1-liquorix-amd64

Debian Release: jessie/sid
  990 testing         security.debian.org 
  990 testing         ftp.de.debian.org 
  980 testing         debian.ids-services.de 
  500 unstable        ftp.de.debian.org 
  490 unstable        debian.ids-services.de 
  480 unstable        liquorix.net 
  400 unstable        dl.dropboxusercontent.com 
  200 experimental    ftp.de.debian.org 
  190 experimental    debian.ids-services.de 

--- Package information. ---
Depends                               (Version) | Installed
===============================================-+-
=========================
libc6                                  (>= 2.3) | 2.17-97
libdevmapper1.02.1               (>= 2:1.02.36) | 2:1.02.83-1
libfreetype6                         (>= 2.2.1) | 2.5.2-1
libfuse2                             (>= 2.8.1) | 2.9.2-4
liblzma5               (>= 5.1.1alpha+20120614) | 5.1.1alpha+20120614-2
libpng12-0                        (>= 1.2.13-4) | 1.2.50-1
zlib1g                             (>= 1:1.1.4) | 1:1.2.8.dfsg-1
gettext-base                                    | 0.18.3.2-1


Recommends      (Version) | Installed
=========================-+-===========
os-prober       (>= 1.33) | 1.63


Suggests                (Version) | Installed
=================================-+-
================
multiboot-doc                     | 
grub-emu                          | 
xorriso           (>= 0.5.6.pl00) | 
desktop-base           (>= 4.0.6) | 7.0.3
console-setup                     | 1.102




-8<---8<---8<---8<---8<---8<---8<---8<---8<--
Please attach the file: 
  /tmp/reportbug-ng-grub-common-Xd1z9I.txt 
to the mail. I'd do it myself if the output wasn't too long to handle.

  Thank you!
->8--->8--->8--->8--->8--->8--->8--->8--->8--
[reportbug-ng-grub-common-Xd1z9I.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#690538; Package grub-common. (Tue, 11 Mar 2014 19:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 11 Mar 2014 19:51:04 GMT) Full text and rfc822 format available.

Message #92 received at 690538@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Jens Stomber <jens.stomber@gmx.de>, 690538@bugs.debian.org
Subject: Re: Bug#690538: [grub-common] request reopen, neither GRUB_DISABLE_SUBMENU=true nor GRUB_ENABLE_SUBMENUS=false works
Date: Tue, 11 Mar 2014 20:49:24 +0100
[Message part 1 (text/plain, inline)]
On Sun, 16 Feb 2014 17:13:20 +0100, Jens Stomber wrote:

> after upgrading to version 2.02~beta2-6 I have tried both options in 
> /etc/default/grub:
> 
> GRUB_DISABLE_SUBMENU=true                                                                                                                      
> GRUB_ENABLE_SUBMENUS=false 
> 
> After each change of the setup I did grub-install /dev/sda and update-grub.
> 
> But the submenus are still in place :-(

I'm using
    GRUB_DISABLE_SUBMENU="y"
with 2.02~beta2-7, and it works.

I haven't tried with "true"; maybe there's an inconsistency with the
other options?

The info file says:
    If this option is set to 'y',    
so it seems to work as documented.
 

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Rolling Stones: Hangfire
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:56:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.